/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public enum BankCardKardexType {
    EXPENSE ("Pago"){
        @Override
        public String toString() {
            return "EXPENSE";
        }
    },INCOME ("Cobro"){
        @Override
        public String toString() {
            return "INCOME";
        }
    },INITIAL_BALANCE("Balance inicial"){
        @Override
        public String toString() {
            return "INITIAL_BALANCE";
        }
    },EXPENSE_RETURN ("Devolución de pago"){
        @Override
        public String toString() {
            return "EXPENSE_RETURN";
        }
    },INCOME_RETURN ("Devolución de cobro"){
        @Override
        public String toString() {
            return "INCOME_RETURN";
        }
    };
    
     private final String type;

    private BankCardKardexType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }
}

